#pragma once
#include "ffgl/ParamFloat.h"
#include "ffglex/HSBAColor.h"

namespace ffglqs
{

struct ParamsHSBAColor
{
	ffgl::ParamFloat* hue;
	ffgl::ParamFloat* sat;
	ffgl::ParamFloat* bri;
	ffgl::ParamFloat* alpha;

	inline ffglex::HSBAColor GetColor()
	{
		return { hue->GetFloatValue(), sat->GetFloatValue(), bri->GetFloatValue(), alpha->GetFloatValue() };
	}
};

}// namespace ffglqs
